#include "GChess.h"

int main() {
	GChessBoard board;
	board.resetBoard();
	GChessMoveIterator it;
	it.reset(&board, true);
	int xSrc, ySrc, xDest, yDest;
	int validMoves = 0;
	while(it.nextMove(&xSrc, &ySrc, &xDest, &yDest))
	{
		validMoves++;
	}
	board.move(xSrc, ySrc, xDest, yDest);
	int h = board.heuristic();
	board.printBoard(std::cout);
}